package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MenuBean {

    /**
     * text : 基础数据
     * tags : [null]
     * id : 04d20aa0b40811e99593fa163e1166bd
     * parentId : null
     * levelCode : 000001
     * nodes : [{"text":"工序管理","tags":["/processManagement"],"id":"6e588cadb40811e99593fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000001","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"工厂日历","tags":["/factoryCalendar"],"id":"a5b730b0b40811e99593fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000002","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"产品系列","tags":["/productLine"],"id":"31e71628bfe811e99593fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000003","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"产品数据","tags":["/productData"],"id":"e67c868db40811e99593fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000004","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"仓库目录","tags":["/wuliuguanli/cangku"],"id":"eabd565d67ef11ea8334fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000005","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"物料类别","tags":["/wuliuguanli/wuliaoleibie"],"id":"06c294c667f111ea8334fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000006","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null},{"text":"货品资料","tags":["/wuliuguanli/wuliaoqingdan"],"id":"123a9a8d67f111ea8334fa163e1166bd","parentId":"04d20aa0b40811e99593fa163e1166bd","levelCode":"gx000007","nodes":null,"icon":null,"url":null,"description":"1","appIcon":null}]
     * icon : iconfont iconjichushujuguanli
     * url : null
     * description : 0
     * appIcon : null
     */

    private String text;
    private String id;
    private Object parentId;
    private String levelCode;
    private String icon;
    private Object url;
    private String description;
    private Object appIcon;
    private List<NodesBean> nodes;

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Object getParentId() {
        return parentId;
    }

    public void setParentId(Object parentId) {
        this.parentId = parentId;
    }

    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Object getUrl() {
        return url;
    }

    public void setUrl(Object url) {
        this.url = url;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Object getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(Object appIcon) {
        this.appIcon = appIcon;
    }


    public List<NodesBean> getNodes() {
        return nodes;
    }

    public void setNodes(List<NodesBean> nodes) {
        this.nodes = nodes;
    }

    public static class NodesBean {
        /**
         * text : 工序管理
         * tags : ["/processManagement"]
         * id : 6e588cadb40811e99593fa163e1166bd
         * parentId : 04d20aa0b40811e99593fa163e1166bd
         * levelCode : gx000001
         * nodes : null
         * icon : null
         * url : null
         * description : 1
         * appIcon : null
         */

        private String text;
        private String id;
        private String parentId;
        private String levelCode;
        private Object nodes;
        private Object icon;
        private Object url;
        private String description;
        private Object appIcon;
        private List<String> tags;

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public String getLevelCode() {
            return levelCode;
        }

        public void setLevelCode(String levelCode) {
            this.levelCode = levelCode;
        }

        public Object getNodes() {
            return nodes;
        }

        public void setNodes(Object nodes) {
            this.nodes = nodes;
        }

        public Object getIcon() {
            return icon;
        }

        public void setIcon(Object icon) {
            this.icon = icon;
        }

        public Object getUrl() {
            return url;
        }

        public void setUrl(Object url) {
            this.url = url;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Object getAppIcon() {
            return appIcon;
        }

        public void setAppIcon(Object appIcon) {
            this.appIcon = appIcon;
        }

        public List<String> getTags() {
            return tags;
        }

        public void setTags(List<String> tags) {
            this.tags = tags;
        }
    }
}
